Nengo has stopped running

#1

I’ve been using nengo gui for over a week now and it suddenly stopped working today. I tried creating a new environment in anaconda and installing everything again but I still get this pop-up error upon start:

If I run the nengo command once again and click refresh, it asks me to type the token and then the same window above pops up.

This is the error message:
/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/completion.py:8: UserWarning: Install the jedi module to get autocompletion in Nengo GUI.
“Install the jedi module to get autocompletion in Nengo GUI.”)
Starting nengo server accessible at:
http://localhost:8080/?token=ccbeeae1ceba3be1f59d156ea4d471518406a87c4c954685
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden
WARNING:nengo_gui.server:Error response (403): Forbidden
Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 459, in upgrade_to_ws
assert origin.netloc.lower() in valid_srv_addrs
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 414, in do_GET
self.handle_upgrade()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 441, in handle_upgrade
self.upgrade_to_ws()
File “/home/bhargavi/anaconda3/envs/556/lib/python3.7/site-packages/nengo_gui/server.py”, line 463, in upgrade_to_ws
raise Forbidden()
nengo_gui.server.Forbidden: Forbidden

0 Likes

#2

Pinging @jgosmann since it looks related to some changes he made a little while ago.

A couple questions:

  • What browser are you using?
  • Does a browser tab not automatically pop up when you run nengo?
  • Are you doing anything special such as trying to access this remotely (e.g., through an SSH tunnel)?

One thing you could try:

  • pip install git+https://github.com/nengo/nengo-gui (to obtain the newest master build)
  • Restart your terminal (to make sure the nengo command points to the new version).
  • Run nengo again.
  • Report the new error message. It should now include the details of origin.netloc.lower() and valid_srv_addrs following a change in https://github.com/nengo/nengo-gui/pull/921, which might help to narrow down the problem.
0 Likes

#3

There’s no error now after I reinstalled it! Thanks a lot.
To answer your questions,
I was using chrome and was not doing anything special. A new tab pops up after I run nengo but I immediately get the pop-up error as in the picture.

0 Likes